from sqlalchemy import Column, Integer, String, ForeignKey, ARRAY
from db.base import Base


class DriveTask(Base):
    Id = Column(Integer, primary_key=True, index=True)
    DriverId = Column(ForeignKey("user.Id"), nullable=False)
    Description = Column(String, nullable=True)
    Status = Column(String, nullable=False)
    StartLocation = Column(ARRAY(String), nullable=False)
    EndLocation = Column(ARRAY(String), nullable=False)
